diff --git a/doc/de/autogen/user/buflist_commands.adoc b/doc/de/autogen/user/buflist_commands.adoc
index d9afb8f278..0d19c1b88a 100644
--- a/doc/de/autogen/user/buflist_commands.adoc
+++ b/doc/de/autogen/user/buflist_commands.adoc
@@ -9,48 +9,42 @@
 /buflist  bar
           refresh
 
-    bar: add the "buflist" bar
-refresh: force the refresh of the bar items (buflist, buflist2 and buflist3)
+    bar: fügt eine "buflist" Bar hinzu
+refresh: erzwingt eine Aktualisierung der Bar-Item (buflist, buflist2 und buflist3)
 
-The lines with buffers are displayed using string evaluation (see /help eval for the format), with these options:
-  - buflist.look.display_conditions: conditions to display a buffer in the list
-  - buflist.format.buffer: format for a buffer which is not current buffer
-  - buflist.format.buffer_current: format for the current buffer
+Jede Zeile die einen Buffer anzeigt wird mittels Zeichenketten-Evaluation dargestellt (siehe /help eval für das Format), dazu werden folgende Optionen genutzt:
+  - buflist.look.display_conditions: Bedingungen um einen Buffer in der Liste darzustellen
+  - buflist.format.buffer: Format für den Buffer, der nicht der aktuell dargestellte Buffer ist
+  - buflist.format.buffer_current: Format für den aktuell dargestellten Buffer
 
-The following variables can be used in the option "buflist.look.display_conditions" (see below for the description):
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-The following variables can be used in the options "buflist.format.*":
-  - bar item data (see hdata "bar_item" in API doc for a complete list), for example:
+Die folgenden Variablen können in den obigen Optionen genutzt werden:
+  - bar item data (siehe hdata "bar_item" in API Dokumentation für eine vollständige Liste), zum Beispiel:
     - ${bar_item.name}
-  - buffer data (see hdata "buffer" in API doc for a complete list), for example:
+  - buffer data (siehe hdata "buffer" in API Dokumentation für eine vollständige Liste), zum Beispiel:
     - ${buffer.number}
     - ${buffer.name}
     - ${buffer.full_name}
     - ${buffer.short_name}
     - ${buffer.nicklist_nicks_count}
-  - irc_server: IRC server data, defined only on an IRC buffer (see hdata "irc_server" in API doc)
-  - irc_channel: IRC channel data, defined only on an IRC channel buffer (see hdata "irc_channel" in API doc)
-  - extra variables added by buflist for convenience:
-    - ${format_buffer}: the evaluated value of option buflist.format.buffer; this can be used in option buflist.format.buffer_current to just change the background color for example
-    - ${current_buffer}: a boolean ("0" or "1"), "1" if this is the current buffer; it can be used in a condition: ${if:${current_buffer}?...:...}
-    - ${merged}: a boolean ("0" or "1"), "1" if the buffer is merged with at least another buffer; it can be used in a condition: ${if:${merged}?...:...}
-    - ${format_number}: indented number with separator (evaluation of option buflist.format.number)
-    - ${number}: indented number, for example " 1" if there are between 10 and 99 buffers; for merged buffers, this variable is set with number for the first buffer and spaces for the next buffers with same number
-    - ${number2}: indented number, for example " 1" if there are between 10 and 99 buffers
-    - ${number_displayed}: "1" if the number is displayed, otherwise "0"
-    - ${indent}: indentation for name (channel and private buffers are indented) (evaluation of option buflist.format.indent)
-    - ${format_nick_prefix}: colored nick prefix for a channel (evaluation of option buflist.format.nick_prefix)
-    - ${color_nick_prefix}: color of nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${nick_prefix}: nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${format_name}: formatted name (evaluation of option buflist.format.name)
-    - ${name}: the short name (if set), with a fallback on the name
-    - ${color_hotlist}: the color depending on the highest hotlist level for the buffer (evaluation of option buflist.format.hotlist_xxx where xxx is the level)
-    - ${format_hotlist}: the formatted hotlist (evaluation of option buflist.format.hotlist)
-    - ${hotlist}: the raw hotlist
-    - ${hotlist_priority}: "none", "low", "message", "private" or "highlight"
-    - ${format_lag}: the lag for an IRC server buffer, empty if there's no lag (evaluation of option buflist.format.lag)
+  - irc_server: IRC Serverdaten, ausschließlich genutzt bei einem IRC Buffer (siehe hdata "irc_server" in API Dokumentation)
+  - irc_channel: IRC Channeldaten, ausschließlich genutzt bei einem IRC Channel Buffer (siehe hdata "irc_channel" in API Dokumentation)
+  - zusätzliche Variablen die durch buflist bereitgestellt werden:
+    - ${format_buffer}: der evaluierte Wert der Option buflist.format.buffer; dies kann in der Option buflist.format.buffer_current genutzt werden um zum Beispiel die Hintergrundfarbe zu verändern
+    - ${current_buffer}: ein Boolean ("0" oder "1"), "1" falls es sich um den aktuellen Buffer handelt; dies kann in einer Bedingung verwendet werden: ${if:${current_buffer}?...:...}
+    - ${merged}: ein Boolean ("0" oder "1"), "1" wenn der Buffer mit einem anderen zusammengefügt ist; kann innerhalb einer Bedingung genutzt werden: ${if:${merged}?...:...}
+    - ${format_number}: eingerückte Nummer mit Trennzeichen (evaluiert aus Option buflist.format.number)
+    - ${number}: eingerückte Nummer, zum Beispiel " 1", falls die Anzahl der Buffer zwischen 10 und 99 liegt; bei zusammengefügten Buffern enthält die Variable für den ersten Buffer die entsprechende Nummer, die weiteren Buffer enthalten ein Leerzeichen anstelle der Nummer
+    - ${number2}: eingerückte Nummer, zum Beispiel " 1", falls die Anzahl der Buffer zwischen 10 und 99 liegt
+    - ${number_displayed}: "1" falls Nummer angezeigt wird, ansonsten "0"
+    - ${indent}: Einrückung für Name (Channel und private Buffer werden eingerückt) (evaluiert aus Option buflist.format.indent)
+    - ${format_nick_prefix}: Nick-Präfix mit entsprechender Farbe für einen Channel (evaluiert aus Option buflist.format.nick_prefix)
+    - ${color_nick_prefix}: Farbe für den Nick-Präfix von einem Channel (wird nur genutzt wenn die Option buflist.look.nick_prefix aktiviert ist)
+    - ${nick_prefix}: der Nick-Präfix für einen Channel (wird nur genutzt falls die Option buflist.look.nick_prefix aktiviert ist)
+    - ${format_name}: der formatierte Name (evaluiert aus Option buflist.format.name)
+    - ${name}: der Kurzname (falls einer gesetzt ist), ersatzweise wird auf den Originalnamen zurückgegriffen
+    - ${color_hotlist}: die Farbe mit der höchsten Priorität für den entsprechenden Buffer (evaluiert aus Option buflist.format.hotlist_xxx wobei xxx der entsprechende Level ist)
+    - ${format_hotlist}: die formatierte Hotlist (evaluiert aus Option buflist.format.hotlist)
+    - ${hotlist}: die Hotlist in der Rohform
+    - ${hotlist_priority}: "none", "low", "message", "private" oder "highlight"
+    - ${format_lag}: die Verzögerung für einen IRC Server-Buffer, ist leer falls es keine Verzögerung gibt (evaluiert aus Option buflist.format.lag)
 ----
diff --git a/doc/de/autogen/user/buflist_options.adoc b/doc/de/autogen/user/buflist_options.adoc
index d45f9aa38d..634a77c7f6 100644
--- a/doc/de/autogen/user/buflist_options.adoc
+++ b/doc/de/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** Standardwert: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** Beschreibung: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); variables available are: bar_item, buffer, irc_server and irc_channel (see /help buflist for more information); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** Beschreibung: pass:none[Bedingungen wann ein Buffer dargestellt werden soll (Hinweis: Inhalt ist evaluiert, siehe /help buflist); Beispielsweise werden Server-Buffer versteckt, sofern sie mit dem Core-Buffer zusammengefügt worden sind: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** Typ: Zeichenkette
 ** Werte: beliebige Zeichenkette
 ** Standardwert: `+"${buffer.hidden}==0"+`
diff --git a/doc/en/autogen/user/buflist_commands.adoc b/doc/en/autogen/user/buflist_commands.adoc
index 6d23920432..effe55abe5 100644
--- a/doc/en/autogen/user/buflist_commands.adoc
+++ b/doc/en/autogen/user/buflist_commands.adoc
@@ -17,13 +17,7 @@ The lines with buffers are displayed using string evaluation (see /help eval for
   - buflist.format.buffer: format for a buffer which is not current buffer
   - buflist.format.buffer_current: format for the current buffer
 
-The following variables can be used in the option "buflist.look.display_conditions" (see below for the description):
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-The following variables can be used in the options "buflist.format.*":
+The following variables can be used in these options:
   - bar item data (see hdata "bar_item" in API doc for a complete list), for example:
     - ${bar_item.name}
   - buffer data (see hdata "buffer" in API doc for a complete list), for example:
diff --git a/doc/en/autogen/user/buflist_options.adoc b/doc/en/autogen/user/buflist_options.adoc
index 211dcfd2f6..a28f958e91 100644
--- a/doc/en/autogen/user/buflist_options.adoc
+++ b/doc/en/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** default value: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** description: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); variables available are: bar_item, buffer, irc_server and irc_channel (see /help buflist for more information); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** description: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** type: string
 ** values: any string
 ** default value: `+"${buffer.hidden}==0"+`
diff --git a/doc/fr/autogen/user/buflist_commands.adoc b/doc/fr/autogen/user/buflist_commands.adoc
index e2ac2c4c31..3821fad451 100644
--- a/doc/fr/autogen/user/buflist_commands.adoc
+++ b/doc/fr/autogen/user/buflist_commands.adoc
@@ -17,13 +17,7 @@ Les lignes avec les tampons sont affichées en utilisant l'évaluation de chaîn
   - buflist.format.buffer : format pour un tampon qui n'est pas le tampon courant
   - buflist.format.buffer_current: format pour le tampon courant
 
-Les variables suivantes peuvent être utilisées dans l'option "buflist.look.display_conditions" (voir la description ci-dessous) :
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-Les variables suivantes peuvent être utilisées dans les options "buflist.format.*" :
+Les variables suivantes peuvent être utilisées dans ces options :
   - données de l'objet de barre (voir le hdata "bar_item" dans la doc API pour une liste complète), par exemple :
     - ${bar_item.name}
   - données du tampon (voir le hdata "buffer" dans la doc API pour une liste complète), par exemple :
diff --git a/doc/fr/autogen/user/buflist_options.adoc b/doc/fr/autogen/user/buflist_options.adoc
index d9cf83643c..1024c29a03 100644
--- a/doc/fr/autogen/user/buflist_options.adoc
+++ b/doc/fr/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** valeur par défaut: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** description: pass:none[conditions pour afficher un tampon (note : le contenu est évalué, voir /help buflist) ; les variables disponibles sont : bar_item, buffer, irc_server et irc_channel (voir /help buflist pour plus d'information) ; par exemple pour cacher les tampons de serveurs s'ils sont fusionnés avec le tampon "core" : "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** description: pass:none[conditions pour afficher un tampon (note : le contenu est évalué, voir /help buflist) ; par exemple pour cacher les tampons de serveurs s'ils sont fusionnés avec le tampon "core" : "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** type: chaîne
 ** valeurs: toute chaîne
 ** valeur par défaut: `+"${buffer.hidden}==0"+`
diff --git a/doc/it/autogen/user/buflist_commands.adoc b/doc/it/autogen/user/buflist_commands.adoc
index 6d23920432..effe55abe5 100644
--- a/doc/it/autogen/user/buflist_commands.adoc
+++ b/doc/it/autogen/user/buflist_commands.adoc
@@ -17,13 +17,7 @@ The lines with buffers are displayed using string evaluation (see /help eval for
   - buflist.format.buffer: format for a buffer which is not current buffer
   - buflist.format.buffer_current: format for the current buffer
 
-The following variables can be used in the option "buflist.look.display_conditions" (see below for the description):
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-The following variables can be used in the options "buflist.format.*":
+The following variables can be used in these options:
   - bar item data (see hdata "bar_item" in API doc for a complete list), for example:
     - ${bar_item.name}
   - buffer data (see hdata "buffer" in API doc for a complete list), for example:
diff --git a/doc/it/autogen/user/buflist_options.adoc b/doc/it/autogen/user/buflist_options.adoc
index 880197963b..cbafd9b854 100644
--- a/doc/it/autogen/user/buflist_options.adoc
+++ b/doc/it/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** valore predefinito: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** descrizione: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); variables available are: bar_item, buffer, irc_server and irc_channel (see /help buflist for more information); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** descrizione: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** tipo: stringa
 ** valori: qualsiasi stringa
 ** valore predefinito: `+"${buffer.hidden}==0"+`
diff --git a/doc/ja/autogen/user/buflist_commands.adoc b/doc/ja/autogen/user/buflist_commands.adoc
index 6e6f914e01..4c36b7deea 100644
--- a/doc/ja/autogen/user/buflist_commands.adoc
+++ b/doc/ja/autogen/user/buflist_commands.adoc
@@ -9,48 +9,42 @@
 /buflist  bar
           refresh
 
-    bar: add the "buflist" bar
-refresh: force the refresh of the bar items (buflist, buflist2 and buflist3)
+    bar: "buflist" バーを追加します
+refresh: 強制的にバー要素 (buflist、buflist2、buflist3) の内容を最新の状態に更新します
 
-The lines with buffers are displayed using string evaluation (see /help eval for the format), with these options:
-  - buflist.look.display_conditions: conditions to display a buffer in the list
-  - buflist.format.buffer: format for a buffer which is not current buffer
-  - buflist.format.buffer_current: format for the current buffer
+各バッファエントリは文字列評価 (書式は /help eval を参照してください) を使って表示されます、以下のオプションで指定します:
+  - buflist.look.display_conditions: バッファをリスト内に表示する条件
+  - buflist.format.buffer: 現在のバッファ以外のバッファを表示する書式
+  - buflist.format.buffer_current: 現在のバッファを表示する書式
 
-The following variables can be used in the option "buflist.look.display_conditions" (see below for the description):
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-The following variables can be used in the options "buflist.format.*":
-  - bar item data (see hdata "bar_item" in API doc for a complete list), for example:
+以下は上記オプションで使用可能な変数です:
+  - バー要素データ (完全なリストは API リファレンスの hdata "bar_item" を参照してください)、例:
     - ${bar_item.name}
-  - buffer data (see hdata "buffer" in API doc for a complete list), for example:
+  - バッファデータ (完全なリストは API リファレンスの hdata "buffer" を参照してください)、例:
     - ${buffer.number}
     - ${buffer.name}
     - ${buffer.full_name}
     - ${buffer.short_name}
     - ${buffer.nicklist_nicks_count}
-  - irc_server: IRC server data, defined only on an IRC buffer (see hdata "irc_server" in API doc)
-  - irc_channel: IRC channel data, defined only on an IRC channel buffer (see hdata "irc_channel" in API doc)
-  - extra variables added by buflist for convenience:
-    - ${format_buffer}: the evaluated value of option buflist.format.buffer; this can be used in option buflist.format.buffer_current to just change the background color for example
-    - ${current_buffer}: a boolean ("0" or "1"), "1" if this is the current buffer; it can be used in a condition: ${if:${current_buffer}?...:...}
-    - ${merged}: a boolean ("0" or "1"), "1" if the buffer is merged with at least another buffer; it can be used in a condition: ${if:${merged}?...:...}
-    - ${format_number}: indented number with separator (evaluation of option buflist.format.number)
-    - ${number}: indented number, for example " 1" if there are between 10 and 99 buffers; for merged buffers, this variable is set with number for the first buffer and spaces for the next buffers with same number
-    - ${number2}: indented number, for example " 1" if there are between 10 and 99 buffers
-    - ${number_displayed}: "1" if the number is displayed, otherwise "0"
-    - ${indent}: indentation for name (channel and private buffers are indented) (evaluation of option buflist.format.indent)
-    - ${format_nick_prefix}: colored nick prefix for a channel (evaluation of option buflist.format.nick_prefix)
-    - ${color_nick_prefix}: color of nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${nick_prefix}: nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${format_name}: formatted name (evaluation of option buflist.format.name)
-    - ${name}: the short name (if set), with a fallback on the name
-    - ${color_hotlist}: the color depending on the highest hotlist level for the buffer (evaluation of option buflist.format.hotlist_xxx where xxx is the level)
-    - ${format_hotlist}: the formatted hotlist (evaluation of option buflist.format.hotlist)
-    - ${hotlist}: the raw hotlist
-    - ${hotlist_priority}: "none", "low", "message", "private" or "highlight"
-    - ${format_lag}: the lag for an IRC server buffer, empty if there's no lag (evaluation of option buflist.format.lag)
+  - irc_server: IRC サーバデータ、IRC バッファのみで定義 (API リファレンスの hdata "irc_server" を参照してください)
+  - irc_channel: IRC チャンネルデータ、IRC チャンネルバッファのみで定義 (API リファレンスの hdata "irc_channel" を参照してください)
+  - buflist プラグインが利便性向上の目的で追加した変数:
+    - ${format_buffer}: buflist.format.buffer オプションの評価結果; 例えば単に背景色を変えるなどの目的で、この変数を buflist.format.buffer_current オプションの中で使うことも可能です。
+    - ${current_buffer}: ブール値 ("0" または "1")、対象のバッファが現在のバッファの場合に "1"; 次のように条件中で使うことができます: ${if:${current_buffer}?...:...}
+    - ${merged}: ブール値 ("0" または "1")、対象のバッファが他のバッファとマージされていた場合に "1"; 次のように条件中で使うことができます: ${if:${merged}?...:...}
+    - ${format_number}: 区切り文字を付けたインデント済み番号 (buflist.format.number オプションの評価結果)
+    - ${number}: インデント済み番号、例えば 10 から 99 番のバッファがある場合に " 1"; マージされたバッファの場合、この値は空白で区切られたバッファ番号になります
+    - ${number2}: インデント済み番号、例えば 10 から 99 番のバッファがある場合に " 1"
+    - ${number_displayed}: 番号が表示される場合に "1"、それ以外の場合に "0"
+    - ${indent}: 名前用のインデント (チャンネルとプライベートバッファがインデントされます)
+    - ${format_nick_prefix}: チャンネルにおける色付きニックネームプレフィックス (buflist.format.nick_prefix オプションの評価結果)
+    - ${color_nick_prefix}: チャンネルにおけるニックネームプレフィックスの色 (buflist.look.nick_prefix オプションが有効化された場合のみ設定されます)
+    - ${nick_prefix}: チャンネルにおけるニックネームプレフィックス (buflist.look.nick_prefix オプションが有効化された場合のみ設定されます)
+    - ${format_name}: 書式化済みのニックネーム (buflist.format.name オプションを評価した後の値)
+    - ${name}: 短縮名 (設定済みの場合)、未設定の場合には名前
+    - ${color_hotlist}: 対象バッファのホットリストレベルの最大値に対応する色 (buflist.format.hotlist_xxx オプションの評価結果、xxx がレベル)
+    - ${format_hotlist}: 評価後のホットリスト (buflist.format.hotlist オプションの評価結果)
+    - ${hotlist}: 評価前のホットリスト
+    - ${hotlist_priority}: "none"、"low"、"message"、"private"、"highlight"
+    - ${format_lag}: IRC サーババッファの遅延時間、遅延がない場合は空 (buflist.format.lag オプションの評価結果)
 ----
diff --git a/doc/ja/autogen/user/buflist_options.adoc b/doc/ja/autogen/user/buflist_options.adoc
index f8bd9262b2..14ab3eca47 100644
--- a/doc/ja/autogen/user/buflist_options.adoc
+++ b/doc/ja/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** デフォルト値: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** 説明: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); variables available are: bar_item, buffer, irc_server and irc_channel (see /help buflist for more information); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** 説明: pass:none[バッファの表示条件 (注意: 値は評価されます、/help eval を参照してください); サーババッファがコアバッファにマージされている場合にサーババッファを隠す例: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** タイプ: 文字列
 ** 値: 未制約文字列
 ** デフォルト値: `+"${buffer.hidden}==0"+`
diff --git a/doc/pl/autogen/user/buflist_commands.adoc b/doc/pl/autogen/user/buflist_commands.adoc
index 17034619ec..84d2324d7c 100644
--- a/doc/pl/autogen/user/buflist_commands.adoc
+++ b/doc/pl/autogen/user/buflist_commands.adoc
@@ -9,48 +9,42 @@
 /buflist  bar
           refresh
 
-    bar: add the "buflist" bar
-refresh: force the refresh of the bar items (buflist, buflist2 and buflist3)
+    bar: dodaje pasek "buflist"
+refresh: wymusza odświeżenie elementów paska (buflist, buflist2 oraz buflist3)
 
-The lines with buffers are displayed using string evaluation (see /help eval for the format), with these options:
-  - buflist.look.display_conditions: conditions to display a buffer in the list
-  - buflist.format.buffer: format for a buffer which is not current buffer
-  - buflist.format.buffer_current: format for the current buffer
+Linie z buforami są wyświetlane za pomocą przetwarzania ciągów (zobacz /help eval żeby poznać format), za pomocą tych opcji:
+  - buflist.look.display_conditions: warunki wyświetlenia buforu na liście
+  - buflist.format.buffer: format dla buforu nie będącego obecnym buforem
+  - buflist.format.buffer_current: format format dla obecnego buforu
 
-The following variables can be used in the option "buflist.look.display_conditions" (see below for the description):
-  - bar_item
-  - buffer
-  - irc_server
-  - irc_channel
-
-The following variables can be used in the options "buflist.format.*":
-  - bar item data (see hdata "bar_item" in API doc for a complete list), for example:
+Następujące zmienne mogą być użyte w powyższych opcjach:
+  - dane elementu paska (pełną listę można znaleźć w dokumentacji API dla hdata "bar_item"), na przykład:
     - ${bar_item.name}
-  - buffer data (see hdata "buffer" in API doc for a complete list), for example:
+  - dane buforu (zobacz hdata "buffer" w dokumentacji API dla pełnej listy zmiennych), na przykład:
     - ${buffer.number}
     - ${buffer.name}
     - ${buffer.full_name}
     - ${buffer.short_name}
     - ${buffer.nicklist_nicks_count}
-  - irc_server: IRC server data, defined only on an IRC buffer (see hdata "irc_server" in API doc)
-  - irc_channel: IRC channel data, defined only on an IRC channel buffer (see hdata "irc_channel" in API doc)
-  - extra variables added by buflist for convenience:
-    - ${format_buffer}: the evaluated value of option buflist.format.buffer; this can be used in option buflist.format.buffer_current to just change the background color for example
-    - ${current_buffer}: a boolean ("0" or "1"), "1" if this is the current buffer; it can be used in a condition: ${if:${current_buffer}?...:...}
-    - ${merged}: a boolean ("0" or "1"), "1" if the buffer is merged with at least another buffer; it can be used in a condition: ${if:${merged}?...:...}
-    - ${format_number}: indented number with separator (evaluation of option buflist.format.number)
-    - ${number}: indented number, for example " 1" if there are between 10 and 99 buffers; for merged buffers, this variable is set with number for the first buffer and spaces for the next buffers with same number
-    - ${number2}: indented number, for example " 1" if there are between 10 and 99 buffers
-    - ${number_displayed}: "1" if the number is displayed, otherwise "0"
-    - ${indent}: indentation for name (channel and private buffers are indented) (evaluation of option buflist.format.indent)
-    - ${format_nick_prefix}: colored nick prefix for a channel (evaluation of option buflist.format.nick_prefix)
-    - ${color_nick_prefix}: color of nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${nick_prefix}: nick prefix for a channel (set only if the option buflist.look.nick_prefix is enabled)
-    - ${format_name}: formatted name (evaluation of option buflist.format.name)
-    - ${name}: the short name (if set), with a fallback on the name
-    - ${color_hotlist}: the color depending on the highest hotlist level for the buffer (evaluation of option buflist.format.hotlist_xxx where xxx is the level)
-    - ${format_hotlist}: the formatted hotlist (evaluation of option buflist.format.hotlist)
-    - ${hotlist}: the raw hotlist
-    - ${hotlist_priority}: "none", "low", "message", "private" or "highlight"
-    - ${format_lag}: the lag for an IRC server buffer, empty if there's no lag (evaluation of option buflist.format.lag)
+  - irc_server: dane serwera IRC, zdefiniowane tylko w buforze IRC (zobacz hdata "irc_server" w dokumentacji API)
+  - irc_channel: dane kanału IRC, zdefiniowane tylko w buforze kanału IRC (zobacz hdata "irc_channel" w dokumentacji API)
+  - dodatkowe zmienne dodane dla wygody przez listę buforów:
+    - ${format_buffer}: przetworzona wartość opcji buflist.format.buffer; może to zostać użyte w opcji buflist.format.buffer_current na przykład do zmiany koloru tła
+    - ${current_buffer}: boolowskie ("0" lub "1"), "1" jeśli jest to obecny bufor; może zostać użyte w warunku: ${if: ${current_buffer}?...:...}
+    - ${merged}: boolowskie ("0" lub "1"), "1" jeśli bufor jest połączony z przynajmniej jednym innym buforem; może zostać użyte w warunku: ${if:${merged}?...:...}
+    - ${format_number}: wyrównany numer z separatorem (przetworzona opcja buflist.format.number)
+    - ${number}: wyrównany numer, na przykład " 1" jeśli buforów jest między 10 a 99
+    - ${number2}: wyrównany numer, na przykład " 1" jeśli buforów jest między 10 a 99
+    - ${number_displayed}: "1" jeśli numer jest wyświetlany, w przeciwnym wypadku "0"
+    - ${indent}: wyrównanie dla nazwy (kanały i bufory prywatne są wyrównywane) (przetworzona opcja buflist.format.indent)
+    - ${format_nick_prefix}: kolorowy prefiks nicka dla kanału (przetworzona opcja buflist.format.nick_prefix)
+    - ${color_nick_prefix}: kolor prefiksu nicka dla kanału (ustawiany, jeśli opcja buflist.look.nick_prefix jest włączona)
+    - ${nick_prefix}: prefix nicka dla kanału (ustawiany, jeśli opcja buflist.look.nick_prefix jest włączona)
+    - ${format_name}: sformatowana nazwa (przetworzona opcja buflist.format.name)
+    - ${name}: skrócona nazwa (jeśli ustawiona inaczej zwraca pełną nazwę)
+    - ${color_hotlist}: kolor zależący od najwyższego poziomu hotlisty dla bufora (przetworzona opcja buflist.format.hotlist_xxx,  gdzie xxx to poziom)
+    - ${format_hotlist}: sformatowana hotlista (przetworzenie opcji buflist.format.hotlist)
+    - ${hotlist}: niesformatowana hotlista
+    - ${hotlist_priority}: "none", "low", "message", "private" lub "highlight"
+    - ${format_lag}: opóźnienie buforu serwera IRC, puste jeśli nie ma opóźnienia (przetworzona opcja buflist.format.lag)
 ----
diff --git a/doc/pl/autogen/user/buflist_options.adoc b/doc/pl/autogen/user/buflist_options.adoc
index 73dd7519fb..e7e420831a 100644
--- a/doc/pl/autogen/user/buflist_options.adoc
+++ b/doc/pl/autogen/user/buflist_options.adoc
@@ -99,7 +99,7 @@
 ** domyślna wartość: `+50+`
 
 * [[option_buflist.look.display_conditions]] *buflist.look.display_conditions*
-** opis: pass:none[conditions to display a buffer (note: content is evaluated, see /help buflist); variables available are: bar_item, buffer, irc_server and irc_channel (see /help buflist for more information); for example to hide server buffers if they are merged with core buffer: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
+** opis: pass:none[warunki do wyświetlenia buforu (uwaga: zawartość jest przetwarzana, zobacz /help buflist); na przykład w celu ukrycia buforów serwerów, kiedy są połączone z głównym buforem: "${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)"]
 ** typ: ciąg
 ** wartości: dowolny ciąg
 ** domyślna wartość: `+"${buffer.hidden}==0"+`
diff --git a/po/cs.po b/po/cs.po
index cbec5221a0..8963ffeb32 100644
--- a/po/cs.po
+++ b/po/cs.po
@@ -21,7 +21,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:31+0200\n"
 "Last-Translator: Ondřej Súkup <mimi.vx@gmail.com>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -4890,14 +4890,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -4975,11 +4968,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/de.po b/po/de.po
index 2824a49cf7..9568a090a1 100644
--- a/po/de.po
+++ b/po/de.po
@@ -24,7 +24,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-08-10 16:57+0200\n"
 "Last-Translator: Nils Görs <weechatter@arcor.de>\n"
 "Language-Team: German <kde-i18n-de@kde.org>\n"
@@ -5820,7 +5820,6 @@ msgstr ""
 msgid "bar item with list of buffers"
 msgstr "Bar-Item mit der Liste von Buffern"
 
-#, fuzzy
 msgid ""
 "    bar: add the \"buflist\" bar\n"
 "refresh: force the refresh of the bar items (buflist, buflist2 and "
@@ -5833,14 +5832,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5998,14 +5990,11 @@ msgstr ""
 "Mitte der Bar angezeigt, bei 0 wird der Buffer oben und bei 100 am unteren "
 "Rand der Bar angezeigt"
 
-#, fuzzy
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 "Bedingungen wann ein Buffer dargestellt werden soll (Hinweis: Inhalt ist "
 "evaluiert, siehe /help buflist); Beispielsweise werden Server-Buffer "
diff --git a/po/es.po b/po/es.po
index 98b953fd40..5d28bef9fa 100644
--- a/po/es.po
+++ b/po/es.po
@@ -22,7 +22,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:31+0200\n"
 "Last-Translator: Elián Hanisch <lambdae2@gmail.com>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -5093,14 +5093,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5178,11 +5171,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/fr.po b/po/fr.po
index a7ebca0819..996bbb07e8 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -21,8 +21,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
-"PO-Revision-Date: 2019-08-17 08:15+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
+"PO-Revision-Date: 2019-07-29 22:48+0200\n"
 "Last-Translator: Sébastien Helleu <flashcode@flashtux.org>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
 "Language: fr\n"
@@ -5694,14 +5694,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5769,15 +5762,7 @@ msgstr ""
 "courant\n"
 "  - buflist.format.buffer_current: format pour le tampon courant\n"
 "\n"
-"Les variables suivantes peuvent être utilisées dans l'option \"buflist.look."
-"display_conditions\" (voir la description ci-dessous) :\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"Les variables suivantes peuvent être utilisées dans les options \"buflist."
-"format.*\" :\n"
+"Les variables suivantes peuvent être utilisées dans ces options :\n"
 "  - données de l'objet de barre (voir le hdata \"bar_item\" dans la doc API "
 "pour une liste complète), par exemple :\n"
 "    - ${bar_item.name}\n"
@@ -5866,18 +5851,14 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 "conditions pour afficher un tampon (note : le contenu est évalué, voir /help "
-"buflist) ; les variables disponibles sont : bar_item, buffer, irc_server et "
-"irc_channel (voir /help buflist pour plus d'information) ; par exemple pour "
-"cacher les tampons de serveurs s'ils sont fusionnés avec le tampon \"core"
-"\" : \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!=core."
-"weechat) || ${buffer.active}==1)\""
+"buflist) ; par exemple pour cacher les tampons de serveurs s'ils sont "
+"fusionnés avec le tampon \"core\" : \"${buffer.hidden}==0 && ((${type}!"
+"=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}==1)\""
 
 msgid "enable buflist"
 msgstr "activer buflist"
diff --git a/po/hu.po b/po/hu.po
index 0a95e6d6a2..4ba81caa5d 100644
--- a/po/hu.po
+++ b/po/hu.po
@@ -20,7 +20,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:31+0200\n"
 "Last-Translator: Andras Voroskoi <voroskoi@frugalware.org>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -4433,14 +4433,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -4518,11 +4511,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/it.po b/po/it.po
index ee0a972091..a981fbddab 100644
--- a/po/it.po
+++ b/po/it.po
@@ -20,7 +20,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:31+0200\n"
 "Last-Translator: Esteban I. Ruiz Moreno <exio4.com@gmail.com>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -5225,14 +5225,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5310,11 +5303,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/ja.po b/po/ja.po
index 639b0b77bb..52de348574 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -20,7 +20,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-06-22 08:40+0200\n"
 "Last-Translator: AYANOKOUZI, Ryuunosuke <i38w7i3@yahoo.co.jp>\n"
 "Language-Team: Japanese <https://github.com/l/weechat/tree/master/"
@@ -5430,7 +5430,6 @@ msgstr ""
 msgid "bar item with list of buffers"
 msgstr "バッファのリストを表示するバー要素"
 
-#, fuzzy
 msgid ""
 "    bar: add the \"buflist\" bar\n"
 "refresh: force the refresh of the bar items (buflist, buflist2 and "
@@ -5443,14 +5442,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5600,14 +5592,11 @@ msgstr ""
 "バッファがバーの中央に位置するように自動スクロールされます。0 に設定した場合"
 "はバーの最初、100 に設定した場合はバーの最後を意味します"
 
-#, fuzzy
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 "バッファの表示条件 (注意: 値は評価されます、/help eval を参照してください); "
 "サーババッファがコアバッファにマージされている場合にサーババッファを隠す例: "
diff --git a/po/pl.po b/po/pl.po
index 13df09844a..bd63f1f876 100644
--- a/po/pl.po
+++ b/po/pl.po
@@ -22,7 +22,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-06-22 08:40+0200\n"
 "Last-Translator: Krzysztof Korościk <soltys@soltys.info>\n"
 "Language-Team: Polish <kde-i18n-doc@kde.org>\n"
@@ -5547,7 +5547,6 @@ msgstr ""
 msgid "bar item with list of buffers"
 msgstr "element paska z listą buforów"
 
-#, fuzzy
 msgid ""
 "    bar: add the \"buflist\" bar\n"
 "refresh: force the refresh of the bar items (buflist, buflist2 and "
@@ -5560,14 +5559,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5716,14 +5708,11 @@ msgstr ""
 "50 oznacza, że po przewinięciu obecny bufor jest na środku listy, 0 oznacza "
 "górę listy, 100 dół listy"
 
-#, fuzzy
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 "warunki do wyświetlenia buforu (uwaga: zawartość jest przetwarzana, zobacz /"
 "help buflist); na przykład w celu ukrycia buforów serwerów, kiedy są "
diff --git a/po/pt.po b/po/pt.po
index b09e0f51fd..ea3cc0eb12 100644
--- a/po/pt.po
+++ b/po/pt.po
@@ -20,7 +20,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:32+0200\n"
 "Last-Translator: Vasco Almeida <vascomalmeida@sapo.pt>\n"
 "Language-Team: Portuguese <>\n"
@@ -5496,14 +5496,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5581,11 +5574,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/pt_BR.po b/po/pt_BR.po
index 91bc23aee7..0471fde26a 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -21,7 +21,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:32+0200\n"
 "Last-Translator: Eduardo Elias <camponez@gmail.com>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -5043,14 +5043,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -5128,11 +5121,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/ru.po b/po/ru.po
index cbbdfa0740..e9bcd46a39 100644
--- a/po/ru.po
+++ b/po/ru.po
@@ -21,7 +21,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:32+0200\n"
 "Last-Translator: Aleksey V Zapparov AKA ixti <ixti@member.fsf.org>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -4470,14 +4470,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -4555,11 +4548,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/tr.po b/po/tr.po
index 2f79233cc1..27548d785d 100644
--- a/po/tr.po
+++ b/po/tr.po
@@ -20,7 +20,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2019-05-13 21:32+0200\n"
 "Last-Translator: Hasan Kiran <sunder67@hotmail.com>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -4039,14 +4039,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -4124,11 +4117,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/po/weechat.pot b/po/weechat.pot
index 76787e0218..03038c16ed 100644
--- a/po/weechat.pot
+++ b/po/weechat.pot
@@ -21,7 +21,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: WeeChat\n"
 "Report-Msgid-Bugs-To: flashcode@flashtux.org\n"
-"POT-Creation-Date: 2019-08-17 08:12+0200\n"
+"POT-Creation-Date: 2019-07-29 09:38+0200\n"
 "PO-Revision-Date: 2014-08-16 10:27+0200\n"
 "Last-Translator: Sébastien Helleu <flashcode@flashtux.org>\n"
 "Language-Team: weechat-dev <weechat-dev@nongnu.org>\n"
@@ -4023,14 +4023,7 @@ msgid ""
 "  - buflist.format.buffer: format for a buffer which is not current buffer\n"
 "  - buflist.format.buffer_current: format for the current buffer\n"
 "\n"
-"The following variables can be used in the option \"buflist.look."
-"display_conditions\" (see below for the description):\n"
-"  - bar_item\n"
-"  - buffer\n"
-"  - irc_server\n"
-"  - irc_channel\n"
-"\n"
-"The following variables can be used in the options \"buflist.format.*\":\n"
+"The following variables can be used in these options:\n"
 "  - bar item data (see hdata \"bar_item\" in API doc for a complete list), "
 "for example:\n"
 "    - ${bar_item.name}\n"
@@ -4108,11 +4101,9 @@ msgstr ""
 
 msgid ""
 "conditions to display a buffer (note: content is evaluated, see /help "
-"buflist); variables available are: bar_item, buffer, irc_server and "
-"irc_channel (see /help buflist for more information); for example to hide "
-"server buffers if they are merged with core buffer: \"${buffer.hidden}==0 && "
-"((${type}!=server && ${buffer.full_name}!=core.weechat) || ${buffer.active}"
-"==1)\""
+"buflist); for example to hide server buffers if they are merged with core "
+"buffer: \"${buffer.hidden}==0 && ((${type}!=server && ${buffer.full_name}!"
+"=core.weechat) || ${buffer.active}==1)\""
 msgstr ""
 
 msgid "enable buflist"
diff --git a/src/plugins/buflist/buflist-command.c b/src/plugins/buflist/buflist-command.c
index d6425e4b9c..1aea61eba9 100644
--- a/src/plugins/buflist/buflist-command.c
+++ b/src/plugins/buflist/buflist-command.c
@@ -83,18 +83,9 @@ buflist_command_init ()
            "current buffer\n"
            "  - buflist.format.buffer_current: format for the current buffer\n"
            "\n"
-           "The following variables can be used in the option "
-           "\"buflist.look.display_conditions\" (see below for the "
-           "description):\n"
-           "  - bar_item\n"
-           "  - buffer\n"
-           "  - irc_server\n"
-           "  - irc_channel\n"
-           "\n"
-           "The following variables can be used in the options "
-           "\"buflist.format.*\":\n"
-           "  - bar item data (see hdata \"bar_item\" in API doc for a "
-           "complete list), for example:\n"
+           "The following variables can be used in these options:\n"
+           "  - bar item data (see hdata \"bar_item\" in API doc for a complete "
+           "list), for example:\n"
            "    - ${bar_item.name}\n"
            "  - buffer data (see hdata \"buffer\" in API doc for a complete "
            "list), for example:\n"
diff --git a/src/plugins/buflist/buflist-config.c b/src/plugins/buflist/buflist-config.c
index 556b299afe..148b0fbd66 100644
--- a/src/plugins/buflist/buflist-config.c
+++ b/src/plugins/buflist/buflist-config.c
@@ -440,9 +440,7 @@ buflist_config_init ()
         buflist_config_file, ptr_section,
         "display_conditions", "string",
         N_("conditions to display a buffer "
-           "(note: content is evaluated, see /help buflist); variables "
-           "available are: bar_item, buffer, irc_server and irc_channel "
-           "(see /help buflist for more information); for example "
+           "(note: content is evaluated, see /help buflist); for example "
            "to hide server buffers if they are merged with core buffer: "
            "\"${buffer.hidden}==0 && ((${type}!=server && "
            "${buffer.full_name}!=core.weechat) || ${buffer.active}==1)\""),
